function uex = uex(x,t,varargin)
% UEX Exact solution
%
%   UEX = UEX(X,T) computes the value of the exact solution
%   at the points X for the the time T.
%
%   Example:
%
%   uex = uex(x,1);

%   Copyright 2006-2006 Patrick Meury
%   SAM - Seminar for Applied Mathematics
%   ETH-Zentrum
%   CH-8092 Zurich, Switzerland
  
  uex = cos(2*pi*x(:,1)).*sin(t*pi*x(:,2));
  
return